# OpalProductDescription Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_vendor
const char * | m_name
const char * | m_version
unsigned | m_t35CountryCode
unsigned | m_t35Extension
unsigned | m_manufacturerCode

## Detailed Description

Product description variables.

## Field Documentation

unsigned OpalProductDescription::m_manufacturerCode

Manuacturer code for the name space in which the vendor or manufacturer is identified. This is the part of the H.221 equivalent of the m_vendor string above and used to identify the software which can be very useful for solving interoperability issues. e.g. 61 is for Equivalance and was allocated by the Australian Communications Authority, Oct 2000.

const char* OpalProductDescription::m_name

Name of the product within the vendor name space. This is used to identify the software which can be very useful for solving interoperability issues. e.g. "OpenPhone".

unsigned OpalProductDescription::m_t35CountryCode

T.35 country code for the name space in which the vendor or manufacturer is identified. This is the part of the H.221 equivalent of the m_vendor string above and used to identify the software which can be very useful for solving interoperability issues. e.g. 9 is for Australia.

unsigned OpalProductDescription::m_t35Extension

T.35 country extension code for the name space in which the vendor or manufacturer is identified. This is the part of the H.221 equivalent of the m_vendor string above and used to identify the software which can be very useful for solving interoperability issues. Very rarely used.

const char* OpalProductDescription::m_vendor

Name of the vendor or manufacturer of the application. This is used to identify the software which can be very useful for solving interoperability issues. e.g. "Vox Lucida".

const char* OpalProductDescription::m_version

Version of the product within the vendor/product name space. This is used to identify the software which can be very useful for solving interoperability issues. e.g. "2.1.4".

The documentation for this struct was generated from the following file:

- opal.h